SPIPr - comments SPIPr 2021-05-11T11:25:23Z https://contrib.spip.net/SPIPr-4642#comment508369 2021-05-11T11:25:23Z <p>C'est pas gérable via les paquets ?</p> <p>(je dois admettre ne plus beaucoup travailler avec spip)</p> SPIPr 2021-05-11T07:23:03Z https://contrib.spip.net/SPIPr-4642#comment508368 2021-05-11T07:23:03Z <p>Ah oui ça marche pas du tout d'avoir LessCSS ET ScssPHP, c'est un problème sur les mises à jour :(</p> SPIPr 2021-05-11T07:19:10Z https://contrib.spip.net/SPIPr-4642#comment508367 2021-05-11T07:19:10Z <p>Je vient de tout désactiver, puis réactiver au fur et à mesure ..</p> <p>C'est passé (mais j'ai du boulot)</p> <p>Peut être less css installé en doublon avec php scss ?</p> SPIPr 2021-05-10T10:05:30Z https://contrib.spip.net/SPIPr-4642#comment508362 2021-05-10T10:05:30Z <p>Bonjour,</p> <p>J'ai un problème avec la barre de navigation dans spipr. Quand j'utilise le plugin menus pour gérer le contenu du menu, la feuille de style de spipr pour la barre de navigation ne s'applique plus sur le menu, les liens s'affichent de façon “brute”.</p> <p>Si je retire le plugin menu pas de soucis la feuille de style s'applique correctement. <br class="autobr" /> Il semble donc y avoir un problème avec le code.</p> <p>J'utilise spipr depuis un moment et je n'ai jamais eu ce problème.<br class="autobr" /> Avez-vous déjà eu le problème ? Comment le résoudre ?</p> <p>Au niveau technique voici ce qui installé :<br class="autobr" /> php version 7.3<br class="autobr" /> spip 3.2.11<br class="autobr" /> bootstrap 4.4.1.4<br class="autobr" /> menus 1.7.27</p> <p>Merci pour votre aide.</p> SPIPr 2021-05-03T19:28:10Z https://contrib.spip.net/SPIPr-4642#comment508336 2021-05-03T19:28:10Z <p>Bonjour,</p> <p>Cela fait plusieurs fois que je tente le passage à Bootstrap 4 (actuellement : 4.4.1.7).<br class="autobr" /> J'avais quelque modifications de squelettes, et je me suis dis qu'ellen'était pas compatible.</p> <p>Un peu de temps : je lance la mise à jour de boostrap4 , désactve mon squelettes … et …</p> <p>Je n'obtient qu'un page sans aucun style, aune feuille css ne semble chargée sur la page d'accueil.</p> <p>Je fais peut être quelque chose de mal ? <br class="autobr" /> J'ai l'impression que les feuilles de style BS ne sont pas chargées.</p> <p>Merci des conseils éventuels.</p> <pre>SPIP 3.2.11 PHP Version 7.4.11 </pre> SPIPr 2021-04-26T12:36:50Z https://contrib.spip.net/SPIPr-4642#comment508285 2021-04-26T12:36:50Z <p>bonjour</p> <p>sur un site de dev, en spip 3.2.11, avec Spipr, (bootstrap v2, lsscss v1.4.4, zcore 2.8.7), j'ai un ensemble d'erreurs liés aux css de bootstrap ... ?</p> <p>merci pour votre aide.</p> <p>Phil</p> SPIPr 2021-02-02T09:35:01Z https://contrib.spip.net/SPIPr-4642#comment507479 2021-02-02T09:35:01Z <p>en fait le spipr est bien en v2.<br class="autobr" /> mais le thème Patisson indiquait une incompatibilité et voulait un spipr en V2.2 (alors qu'il y est)<br class="autobr" /> c'est dû à la ligne du fichier paquet.xml qu'il faut modifier comme ça :</p> <div class="precode"><pre dir="ltr" style="text-align: left;" class="spip"><code><utilise nom="spiprv2" compatibilite="[2.0.0;[" /></code></pre></div> SPIPr 2021-02-02T09:06:32Z https://contrib.spip.net/SPIPr-4642#comment507478 2021-02-02T09:06:32Z <p>Bonjour</p> <p>merci pour cet immense travail.</p> <p>Spipr v2 est-il accessible (téléchargeable) quelque part ?</p> <p>merci à vou<br class="autobr" /> Phil</p> SPIPr 2020-11-09T08:04:09Z https://contrib.spip.net/SPIPr-4642#comment506766 2020-11-09T08:04:09Z <p>Bonjour à tous et à Cerdic en particulier</p> <p>J'ai des erreurs de compilations de squelette avec SPIPr 2.2.6 en SPIP 3.2.</p> <div class="precode"><pre dir="ltr" style="text-align: left;" class="spip"><code>Aucun squelette breadcrumb/rubrique n'est disponible...</code></pre></div> <p>Avec SPIP 3.1, c'est le fichier dist.html qui est pris en compte par défaut.</p> <p>J'ai désactivé tous les autres plugins. J'ai essayé les dernières versions de SPIPr, zcore, bootstrap, ... et puis les anciennes. Rien n'y fait, cette erreur persiste et uniquement en SPIP 3.2.</p> <p>Y'a aurait-il eu un changement de fonctionnement du couple SPIPr/ZCORE à partir de SPIP 3.2 ?</p> SPIPr 2020-08-25T10:02:45Z https://contrib.spip.net/SPIPr-4642#comment506178 2020-08-25T10:02:45Z <p>Bonjour,</p> <p>un petit retour après de nouveaux tests sur cette nouvelle version de spipr-dist.</p> <p>Le problème survient quand on ajoute le plugin menus puis le lien vers menu.dropdown.js dans le head. Le dropdown est pris en compte mais reste ouvert à l'ouverture et ne se ferme pas... Le problème doit venir du menu.dropdown.js, comment modifier ce fichier pour que le dropdon fonctionne correctement ?</p> <p>Merci</p> SPIPr 2020-07-22T07:51:57Z https://contrib.spip.net/SPIPr-4642#comment506066 2020-07-22T07:51:57Z <p>Oui il faut que je mette la documentation à jour ET que je fasse une page sur la migration de la v1 vers la v2 :(</p> <p>Par contre, pas vraiment de solution technique pour declarer 2 plugins incompatibles dans SPIP, mais peut-être on pourrait générer un message d'erreur dans l'admin si on active le plugin BootStrap4 et que LessCSS est encore actif, je vais regarder ça à l'occasion</p> SPIPr 2020-07-22T07:40:48Z https://contrib.spip.net/SPIPr-4642#comment506065 2020-07-22T07:40:48Z <p>Autre chose que je viens de constater : le plugin Less CSS (qui était nécessaire avec spipr-v1) n'a pas été désactivé lorsque j'ai désactivé spipr-v1. Et sa présence fait dysfonctionner spipr-v2 : aucune CSS n'est produite et je n'avais que le contenu sur fond blanc.</p> <p>Il faudrait peut-être le déclarer explicitement comme incompatible ?</p> SPIPr 2020-07-22T07:18:41Z https://contrib.spip.net/SPIPr-4642#comment506064 2020-07-22T07:18:41Z <p>Merci !<br class="autobr" /> je n'aurais jamais trouvé le lien toute seule.<br class="autobr" /> Peut-être faudrait-il aussi mettre à jour la page sur <a href="http://spipr.nursit.com" class="spip_url spip_out auto" rel="nofollow external">http://spipr.nursit.com</a> ?</p> SPIPr 2020-07-21T12:54:31Z https://contrib.spip.net/SPIPr-4642#comment506060 2020-07-21T12:54:31Z <p>Bonjour,</p> <p>il y a déjà une bonne quinzaine de thèmes disponibles pour Spipr-v2 que vous pouvez trouver ici <a href="https://git.spip.net/spip-contrib-themes?page=1&sort=recentupdate&q=spipr_v2" class="spip_url spip_out auto" rel="nofollow external">https://git.spip.net/spip-contrib-themes?page=1&sort=recentupdate&q=spipr_v2</a></p> <p>Par contre je vois qu'ils ne sont pas tous disponibles au téléchargement sur<br class="autobr" /> <a href="https://plugins.spip.net/spip.php?page=telechargements" class="spip_url spip_out auto" rel="nofollow external">https://plugins.spip.net/spip.php?page=telechargements</a><br class="autobr" /> il faut que je regarde pourquoi</p> <p>Il n'est pas conseillé de démarrer un nouveau projet sur la v1 qui dont les composants, et notamment la version de BootStrap, commencent vraiment à dater</p> SPIPr 2020-07-21T12:41:07Z https://contrib.spip.net/SPIPr-4642#comment506059 2020-07-21T12:41:07Z <p>Bonjour</p> <p>Je voudrais savoir où en est le portage des thèmes en v2 ?<br class="autobr" /> Je suis en train de monter un site, et seul le thème “patisson” est disponible. J'ai lu dans un commentaire d'il y a 3 mois que le portage était en cours.</p> <p>C'est pour savoir s'il vaut mieux que j'attende la sortie des nouveaux thèmes, ou bien si je démarre mon site avec la version précédente de spipr-dist</p> <p>Si le portage des thèmes n'est pas trop ardu, je peux aussi donner un coup de main (si on m'indique comment faire).</p> <p>Merci<br class="autobr" /> Florence</p> SPIPr 2020-05-11T16:39:39Z https://contrib.spip.net/SPIPr-4642#comment505171 2020-05-11T16:39:39Z <p>Bonjour,</p> <p>un problème avec la dernière version de spipr- dist 2.2.6 concernant la barre de navigation. J'ai rajouté dans le head menu.dropdown.js pour que le sous-navigation soit cachée mais contrairement à l'ancienne version de spipr les sous-navigations restent apparentes et ne se referment pas au clic et en version mobile la première sous-navigation reste apparente et les autres ne peuvent s'ouvrir... Que faut-il modifier pour retrouver le même fonctionnement que l'ancienne version ?</p> <p>Merci pour vos conseils.</p> SPIPr 2020-03-26T09:03:30Z https://contrib.spip.net/SPIPr-4642#comment504366 2020-03-26T09:03:30Z <p>La version 0.4.16 est bien la dernière version utilisant BootStrap 2 et less.<br class="autobr" /> Si vous passez en version 2.x (il n'y a pas d'autre version entre les 2), il faut utiliser BootStrap 4 et ScssPHP, mais si vous avez fait des personnalisation de style ça risque de casser en effet.</p> <p>Si vous utilisez un thème tout fait, ils seront bientôt tous à nouveaux disponibles avec cette nouvelle version, c'est en cours d'adaptation....</p> SPIPr 2020-03-26T07:00:02Z https://contrib.spip.net/SPIPr-4642#comment504361 2020-03-26T07:00:02Z <p>Bonjour,</p> <p>Je viens de faire une mise à jour des plugins sur le site <a href="https://dsm.ddec.nc" class="spip_url spip_out auto" rel="nofollow external">https://dsm.ddec.nc</a> toute la mise en page a crashé. Comment récupérer d'ancienne version de plugins ?<br class="autobr" /> Surtout SPIPr-dist. Le site fonctionnait parfaitement jusqu'à cette mise à ,jour.<br class="autobr" /> J'ai ré-installé ScolaSpip ce qui a remis SPIPr-dist version 0.4.16. L'aperçu est mieux mais pas encore comme il faut. Si je la met à jour je me retrouve avec SPIPr-dist 2.2.4 qui fait tout crasher. Comment obtenir la version antérieure à 2.2.4 ?</p> <p>Merci à tous.<br class="autobr" /> PS:C'est un site d'école qui est actuellement assez utilisé ( 120- 130 visites par jour)en raison de la continuité pédagogique.</p> SPIPr 2019-01-07T17:46:27Z https://contrib.spip.net/SPIPr-4642#comment499333 2019-01-07T17:46:27Z <p>Bonjour,</p> <p>je cherche à faire un sous menu vertical sur le côté qui réagit au contenu de la page que l'on peut faire descendre, exactement comme sur le site de présentation spipr.<br class="autobr" /> Comment s'appelle ce type de navigation avec ancrage ? Est-ce un module bootstrap (mais je ne trouve pas ce type de module dans les sites de présentation) ? J'utilise simplement bootstrap dans spip sans spipr. Où puis-je trouver des explications à ce sujet. Merci pour votre réponse.</p> SPIPr 2019-01-03T18:01:37Z https://contrib.spip.net/SPIPr-4642#comment499273 2019-01-03T18:01:37Z <p>Résolu.<br class="autobr" /> Dans le fichier rubrique.html, j'ai ajouté ce que je voulais.<br class="autobr" /> Cela ressemble à ceci:</p> <div class="precode"><pre dir="ltr" style="text-align: left;"><code><BOUCLE_principale_rubrique (RUBRIQUES) {id_rubrique}> <div class = "blog"> <INCLUDE {fond = structure, env, id_secteur = # ID_SECTEUR, type-page = rubrique, composition = # COMPOSITION} /> </ div> </ BOUCLE_principale_rubrique></code></pre></div> <p>Je l'ai renommé rubrique-2.html et je l'ai mis dans mon dossier squelettes<br class="autobr" /> Avec cela, je peux appliquer différents styles à l'ensemble du conteneur et à l'ensemble de la structure ;-)<br class="autobr" /> Salut!</p> SPIPr 2019-01-01T12:23:12Z https://contrib.spip.net/SPIPr-4642#comment499251 2019-01-01T12:23:12Z <p>Salut et bonne année!<br class="autobr" /> Comment puis-je entrer une nouvelle classe dans “<code><html class =...</code>”?<br class="autobr" /> Par exemple, la classe de “blog” au lieu de “sommaire”, “rubrique”, “article”,... mais seulement pour une rubrique ou article.<br class="autobr" /> Merci</p> SPIPr 2018-07-05T08:37:24Z https://contrib.spip.net/SPIPr-4642#comment497636 2018-07-05T08:37:24Z <p>A ma connaissance spipr lui même est stable, donc pas de dev supplémentaire, mais toujours maintenus.</p> <p>Après il y a des squelettes derivés de / sur le modèle de qui se créent tous les jours</p> SPIPr 2018-07-04T16:36:25Z https://contrib.spip.net/SPIPr-4642#comment497629 2018-07-04T16:36:25Z <p>Bonjour,<br class="autobr" /> Est-il possible de savoir où en est SPIPr : toujours en développement, à l'arrêt, abandonné..?<br class="autobr" /> Merci en tous cas pour tout le travail réalisé.</p> SPIPr 2017-05-18T20:31:59Z https://contrib.spip.net/SPIPr-4642#comment492285 2017-05-18T20:31:59Z <p>Bonjour,</p> <p>Je suis entrain d'adapter Spipr-dist pour un site multilingue. J'ai utilisé le critère</p> <div class="precode"><pre dir="ltr" style="text-align: left;" class="spip"><code><span class="re40">{lang}</span></code></pre></div> <p>dans sommaire.html et rubrique.html. Mais çà n'a aucune influence sur “Derniers articles”, les “Rubriques” et le menu de navigation; Ils s'affichent tous avec toutes les langues? Est ce que vous pouvez me pister SVP? Merci.</p> SPIPr 2017-02-03T12:51:21Z https://contrib.spip.net/SPIPr-4642#comment490907 2017-02-03T12:51:21Z <p>Bonjour,</p> <p>Je viens de passer quelques jours à jongler entre spipr et spip3.1 puis spip3.0 pour essayer de faire fonctionner l'agencement mais n'ai rien pu faire pour l'instant de stable (une erreur toujours apparaît dans l'espace public quand je suis déconnecté, mais pas quand je suis loggé... mystère).</p> <p>Est-ce qu'une nouvelle version de spipr est prochainement prévue, avec bootstrap 3 ? Autant peut-être attendre un peu... les débuts d'année sont souvent prolifiques ;-)</p> SPIPr 2017-02-03T12:39:33Z https://contrib.spip.net/SPIPr-4642#comment490906 2017-02-03T12:39:33Z <p>Dans le fichier config/mes_options.php (à créer s'il n'existe pas) coller :</p> <div class="precode"><pre dir="ltr" style="text-align: left;" class="php"><code><span class="kw2"><?php</span> <a href="http://www.php.net/ini_set" rel='nofollow'><span class="kw3">ini_set</span></a><span class="br0">&#40;</span><span class="st_h">'xdebug.max_nesting_level'</span><span class="sy0">,</span> <span class="nu0">200</span><span class="br0">&#41;</span><span class="sy0">;</span> <span class="sy1">?></span></code></pre></div> <p>En général ça fonctionne assez bien...</p> SPIPr 2017-02-03T12:31:39Z https://contrib.spip.net/SPIPr-4642#comment490905 2017-02-03T12:31:39Z <p>Des gens qui surfent sur IE7 ou IE8 ?<br class="autobr" /> Le dernier a lâché l'affaire il y a 5 ans...</p> SPIPr 2016-12-04T17:27:09Z https://contrib.spip.net/SPIPr-4642#comment490052 2016-12-04T17:27:09Z <p>Bonjour,</p> <p>Je constate que l'affichage au format paysage sur les iPhone 3, 4 ,5 est déficient. Sur le modèle 6 c'est bon. Le problème est que les typos et leurs interlignes s'affichent plus petits que dans la version portrait. En plus de rendre difficilement lisibles certains textes, cela peut conduire dans certains cas à de gros problèmes de mise en page. Je n'ai pas pu tester sur d'autres marques de smartphones.</p> <p>J'utilise Firefox Developer Edition (à jour) qui ne reproduit pas le problème. Pour moi il doit s'agir d'un bug de «bas niveau» dans SpipR car même le site spipr.nursit.com produit les mêmes effets ;-)</p> <p>Qu'est-ce qu'on peut faire?</p> SPIPr 2016-07-07T22:53:28Z https://contrib.spip.net/SPIPr-4642#comment488172 2016-07-07T22:53:28Z <p>Bonjour,</p> <p>Les éléments qui sortent du flux, typiquement quand ils sont en position: fixed, présentent une typographie dégradée sur Webkit (Safari)</p> <p>Les textes perdent du «gras» et avec une typo assez fine, en négatif, cela devient critique pour la lisibilité.</p> <p>J'ai beau chercher avec l'inspecteur web, je ne vois pas quel style css pourrait redonner à ces textes la même apparence que quand ils sont dans le flux normal…</p> <p>Merci de vos lumières</p> SPIPr 2016-06-14T10:28:46Z https://contrib.spip.net/SPIPr-4642#comment487913 2016-06-14T10:28:46Z <p>Bonjour,</p> <p>J'ai installé Spipr-dist sur un Spip 3.1.1 tout frais (wampserveur) mais cela me donne tout de suite des erreurs : <br class="autobr" /> “Fatal error: Maximum function nesting level of '100' reached, aborting! in Monsite\plugins\auto\lesscss\v1.0.7\less.php\Less.php on line 5471”</p> <p>Alors une idée de ce que je pourrais faire ?<br class="autobr" /> Merci beaucoup par avance.</p> SPIPr 2016-03-10T21:41:06Z https://contrib.spip.net/SPIPr-4642#comment486584 2016-03-10T21:41:06Z <p>Hello Cerdic</p> <p>BOOTSTRAP 3 est-il pris en compte dans la dernière version de SPIPr ?</p> SPIPr 2016-03-07T12:56:50Z https://contrib.spip.net/SPIPr-4642#comment486504 2016-03-07T12:56:50Z <p>Bonjour,</p> <p>Et bien finalement je me réponds à moi-même car j'ai trouvé la solution sur [SPIP Zone] :<br class="autobr" /> <a href="https://www.mail-archive.com/spip-zone@rezo.net/msg39461.html" class="spip_url spip_out auto" rel="nofollow external">https://www.mail-archive.com/spip-zone@rezo.net/msg39461.html</a></p> <p>Donc pour faire simple, si vous utilisez le squelette SPIPr-dist il vous suffit de coller dans le fichier head_js/dist.html (vide d'origine) le code suivant :</p> <div class="precode"><pre dir="ltr" style="text-align: left;" class="spip"><code><span class="re4">[</span><script type="text/javascript" src="<span class="re4">(</span><span class="re1">#CHEMIN</span><span class="re40">{js/bootstrap-dropdown.js}</span><span class="re4">)</span>"></script><span class="re4">]</span> <span class="re4">[</span><script type="text/javascript" src="<span class="re4">(</span><span class="re1">#CHEMIN</span><span class="re40">{js/dropdowns-enhancement.js}</span><span class="re4">)</span>"></script><span class="re4">]</span> <span class="re4">[</span><script type="text/javascript" src="<span class="re4">(</span><span class="re1">#CHEMIN</span><span class="re40">{js/menu.dropdown.js}</span><span class="re4">)</span>"></script><span class="re4">]</span></code></pre></div> <p>Et si à l'aide du plugin Menu vous avez bien créé un menu avec l'identifiant barrenav et avec des sous-menus, ces derniers se déplieront ou se replieront dorénavant au click.</p> <p>On finit toujours par y arriver ! Vive SPIPr et bonne journée !</p> SPIPr 2016-03-02T11:12:38Z https://contrib.spip.net/SPIPr-4642#comment486367 2016-03-02T11:12:38Z <p>Bonjour,</p> <p>J'ai pu faire fonctionner SPIPr et j'ai pu notamment créer un squelette (inspiré de SPIRr-dist) et un thème (inspiré de Beige) que l'on peut voir en action ici : <a href="http://perquisition.fr/" class="spip_url spip_out auto" rel="nofollow external">http://perquisition.fr/</a></p> <p>Je contribuerai d'ailleurs prochainement en proposant des squelettes et des thèmes SPIPr, en restant le plus générique possible.</p> <p><strong>Cependant à l'occasion de la prise en main de SPIPr je n'ai pas pu faire fonctionner le mécanisme de menus déroulants au clic qui se plient et qui se déplient</strong>, à l'image de la démo que l'on retrouve ici : <a href="http://spipr.nursit.com/?page=demo1" class="spip_url spip_out auto" rel="nofollow external">http://spipr.nursit.com/?page=demo1</a></p> <p>Même en intégrant les classes manquantes en me servant de la démo (en modifiant le plugin Menu pour qu'il génère le tout à la volée), et même en insérant dans le head les fichiers javascripts suivants : bootstrap/js/bootstrap-dropdown.js et bootstrap/js/menu.dropdown.js, je n'ai pas pu reproduire le dit fonctionnement.</p> <p><strong>Existe-t-il une solution simple pour reproduire ce fonctionnement avec donc des menus déroulants au clic ?</strong></p> <p>Une solution bien-sûr de préférence qui utiliserait ce qui est déjà disponible dans le plugin BootStrap.</p> <p>En vous remerciant pour cette distribution très bien pensée, et merci pour une éventuelle solution.</p> SPIPr 2016-02-09T20:47:32Z https://contrib.spip.net/SPIPr-4642#comment485809 2016-02-09T20:47:32Z <p>merci, Il y en a beaucoup comme ça ?</p> SPIPr 2016-02-09T09:11:55Z https://contrib.spip.net/SPIPr-4642#comment485794 2016-02-09T09:11:55Z <p>Bonjour,</p> <p>ce n'est pas un bug ni un problème, c'est un hack CSS utilisé par BootStrap 2 pour que certaines directives CSS ne soient comprises que par IE7 et IE8, pour corriger des défauts de comportement de ces 2 anciens navigateurs.</p> <p>Il faut donc laisser tel quel.</p> SPIPr 2016-02-08T23:11:25Z https://contrib.spip.net/SPIPr-4642#comment485790 2016-02-08T23:11:25Z <p>Bonjour,<br class="autobr" /> J'utilise spipr pour 1 site, et je traque les erreurs de css.<br class="autobr" /> sur mon site j'ai une erreur de background-color pour la classe .navbar-inverse<br class="autobr" /> Horodatage : 09/02/2016 00:00:20<br class="autobr" /> Avertissement : Une fin de valeur était attendue, mais « \9 » a été trouvé. Erreur d'analyse de la valeur pour « background-color ». Déclaration abandonnée.<br class="autobr" /> Fichier Source : <a href="http://www.marseillereiki.com/local/cache-less/bootstrap-cssify-76341ca.css?1454970635" class="spip_url spip_out auto" rel="nofollow external">http://www.marseillereiki.com/local/cache-less/bootstrap-cssify-76341ca.css?1454970635</a><br class="autobr" /> Ligne : 6556, Colonne : 28<br class="autobr" /> Code Source :<br class="autobr" /> background-color: #590041 \9;<br class="autobr" /> Comme j'ai modifié mon thème, je croyais en être à l'origine. je n'ai rien trouvé de probant. J'ai voulu vérifier sur le site du plugin. Il y a le même type d'anomalie</p> <hr class="spip" /> <p>Horodatage : 08/02/2016 23:37:45<br class="autobr" /> Avertissement : Une fin de valeur était attendue, mais « \9 » a été trouvé. Erreur d'analyse de la valeur pour « background-color ». Déclaration abandonnée.<br class="autobr" /> Fichier Source : <a href="http://spipr.nursit.com/local/cache-css/9d18593d6eae53d110f58711fca244f2.css" class="spip_url spip_out auto" rel="nofollow external">http://spipr.nursit.com/local/cache-css/9d18593d6eae53d110f58711fca244f2.css</a><br class="autobr" /> Ligne : 1216, Colonne : 92<br class="autobr" /> Code Source :<br class="autobr" /> .navbar-inverse .btn-navbar:active,.navbar-inverse .btn-navbar.active<i>background-color:#000 \9</i></p> <hr class="spip" /> <p>comment corriger le problème ?</p> <p>Merci</p> SPIPr 2016-01-21T12:19:44Z https://contrib.spip.net/SPIPr-4642#comment485446 2016-01-21T12:19:44Z <p>Merci Bobpat, <br class="autobr" /> ça fonctionne en suivant tes indications, les modifs en FTP du fichier de configuration sont bien prises en compte.</p> <p> Bonne Journée</p> SPIPr 2016-01-20T21:52:34Z https://contrib.spip.net/SPIPr-4642#comment485439 2016-01-20T21:52:34Z <p>Bonsoir<br class="autobr" /> Dans la version 4.5.3, le slogan n'est pas modifiable dans l'espace privé/squelette/sarka/bandeau comme dans l'ancienne version; il faut aller par FTP dans tmp/sarkaspip/config/bandeau xxx txt (si tu as enregistré ta configuration avec l'ancienne version!) où tu peux modifier ton slogan.<br class="autobr" /> Pour l'activer, tu vas dans ton espace privé/squelette/sarka/maintenance/restauration de configuration/bandeau et choisir le fichier que tu as modifié par FTP.<br class="autobr" /> C'est moins pratique qu'avec l'ancienne version...</p> SPIPr 2016-01-20T18:51:16Z https://contrib.spip.net/SPIPr-4642#comment485435 2016-01-20T18:51:16Z <p>Bonsoir et merci Bobpat<br class="autobr" /> donc il suffit d'enregistrer la nouvelle configuration pour qu'elle soit prise en compte<br class="autobr" /> c'est cela ?</p> SPIPr 2016-01-20T18:42:38Z https://contrib.spip.net/SPIPr-4642#comment485434 2016-01-20T18:42:38Z <p>Bonsoir et merci Bobpat<br class="autobr" /> donc il suffit d'enregistrer la nouvelle configuration pour qu'elle soit prise en compte <br class="autobr" /> c'est cela ?</p> SPIPr 2016-01-13T14:07:11Z https://contrib.spip.net/SPIPr-4642#comment485291 2016-01-13T14:07:11Z <p>Bonjour<br class="autobr" /> Sur ton ancienne version de sarka, as-tu enregistré ta configuration, notamment maintenance/bandeau? Si elle est active sur ton nouveau sarka, elle prend le pas sur le slogan déclaré dans “identité du site”.</p> SPIPr 2016-01-12T17:57:17Z https://contrib.spip.net/SPIPr-4642#comment485269 2016-01-12T17:57:17Z <p>Bonsoir,</p> <p>j'utilise SPIP 3.0.17 [21515] + Sarka-SPIP Reloaded 4.5.3 et je n'arrive plus à changer le slogan du site. Je passe par le menu SPIP Configuration/identité du site mais la mise à jour du formulaire pour le champ slogan (moins de 255 caractères) n'entraine aucun changement.</p> <p>Je suis hébergé par en multi OVH.</p> <p>Merci pour votre aide.</p> SPIPr 2015-11-25T14:00:56Z https://contrib.spip.net/SPIPr-4642#comment484652 2015-11-25T14:00:56Z <p>Idem pour moi.</p> <p>J'attends BOOTSTRAP 3 pour SPIPR avec impatience car il y a plein de classes sympas par rapport à la V2.</p> SPIPr 2015-11-18T13:01:51Z https://contrib.spip.net/SPIPr-4642#comment484538 2015-11-18T13:01:51Z <p>Vivement le thème en Bootstrap 3 surtout pour les belles icônes en vectoriel et tout le reste…<br class="autobr" /> Je galère en ce moment pour un simple truc, un aside particulier pour un numéro d'article en particulier… je n'ai pas reussi, des idées ?</p> SPIPr 2015-11-17T00:01:46Z https://contrib.spip.net/SPIPr-4642#comment484529 2015-11-17T00:01:46Z <p>Bonjour, je suis de retour ;-)</p> <p>Je fabrique un thème à partir de SpipR: tout à l'air facile au début et on peut aisément faire des petites modifs comme changer des couleurs et agir sur la typographie. Pour aller plus loin et agir par exemple sur l'apparence et le comportement de la barre de navigation, c'est une tout autre affaire! J'ai beau éplucher les explications, je ne trouve pas grand chose… J'ai l'habitude du comportement de Z, mais ici, pour surcharger des fichiers html de squelettes, je ne retrouve évidemment pas le balisage utilisé par Bootstrap et .less! À partir des fichiers .less, j'ai essayé d'agir sur tout ce qui me semblait logique, mais rarement suivi d'effets.</p> <p>Par exemple: <br />- Pour les écrans de grand format, comment régler la largeur de la barre de nav selon la largeur définie dans la balise page (sans qu'elle ne s'étale sur toute la largeur de la fenêtre)? Ça à l'air bête, mais je n'y arrive pas. <br />- Pour les petites tailles d'écran, comment faire disparaitre les libellés des rubriques et les remplacer par une icône de menu déroulant (collapse)?</p> <p>Merci d'avance</p> SPIPr 2015-11-07T22:16:01Z https://contrib.spip.net/SPIPr-4642#comment484448 2015-11-07T22:16:01Z <p>Bonjour,<br class="autobr" /> J'essaye d'installer SPIPr sur le <a href="http://www.lyc-rolland-goussainville.ac-versailles.fr/" class="spip_out" rel='nofollow external'>site de mon établissement</a>.<br class="autobr" /> Cependant, le menu de navigation ne s'affiche pas, et j'ai le message d'erreur suivant :</p> <blockquote class="spip"> <p>Warning: Missing argument 1 for lesscss_select_css(), called in /web/l/e/lyc-rolland-goussainville/http/tmp/cache/skel/html_c5ebbd0ba795fd9c392eb1a859072bf5.php on line 182 and defined in /web/l/e/lyc-rolland-goussainville/http/plugins/auto/lesscss/v1.0.5/lesscss_fonctions.php on line 245</p> </blockquote> <p>La ligne 245 du fichier lesscss_fonctions.php correspond à :</p> <div class="precode"><pre dir="ltr" style="text-align: left;" class="css"><code>function lesscss_select_css<span class="br0">&#40;</span>$css_file<span class="br0">&#41;</span><span class="br0">&#123;</span></code></pre></div> <p>Je copie également le paragraphe avec les quelques lignes au-dessus et en dessous :</p> <div class="precode"><pre dir="ltr" style="text-align: left;" class="css"><code><span class="coMULTI">/** * Selectionner de preference la feuille .less (en la compilant) * et sinon garder la .css classiquement * * @param string $css_file * @return string */</span> function lesscss_select_css<span class="br0">&#40;</span>$css_file<span class="br0">&#41;</span><span class="br0">&#123;</span> if <span class="br0">&#40;</span>function_exists<span class="br0">&#40;</span><span class="st0">'less_css'</span><span class="br0">&#41;</span> AND substr<span class="br0">&#40;</span>$css_file<span class="sy0">,</span>-<span class="nu0">4</span><span class="br0">&#41;</span><span class="sy0">==</span><span class="st0">".css"</span><span class="br0">&#41;</span><span class="br0">&#123;</span> $less_file <span class="sy0">=</span> substr<span class="br0">&#40;</span>$css_file<span class="sy0">,</span><span class="nu0">0</span><span class="sy0">,</span>-<span class="nu0">4</span><span class="br0">&#41;</span>.<span class="st0">".less"</span><span class="sy0">;</span> $less_or_css <span class="sy0">=</span> lesscss_find_less_or_css_in_path<span class="br0">&#40;</span>$less_file<span class="sy0">,</span> $css_file<span class="br0">&#41;</span><span class="sy0">;</span> if <span class="br0">&#40;</span>substr<span class="br0">&#40;</span>$less_or_css<span class="sy0">,</span>-<span class="nu0">5</span><span class="br0">&#41;</span><span class="sy0">==</span><span class="st0">".less"</span><span class="br0">&#41;</span> return less_css<span class="br0">&#40;</span>$less_or_css<span class="br0">&#41;</span><span class="sy0">;</span> else return $less_or_css<span class="sy0">;</span> <span class="br0">&#125;</span> return find_in_path<span class="br0">&#40;</span>$css_file<span class="br0">&#41;</span><span class="sy0">;</span> <span class="br0">&#125;</span></code></pre></div> <p>Quelqu'un aurait-il la solution à ce problème ?<br class="autobr" /> Merci par avance.</p> SPIPr 2015-11-06T16:25:06Z https://contrib.spip.net/SPIPr-4642#comment484437 2015-11-06T16:25:06Z <p>Hello,</p> <p>Merci de ces précisions bien utiles. Je vois qu'il y a du suivi et cela me réjouit. Du coup, je me demande si je ne vais pas attendre un peu ;-)</p> <p>J'ai réalisé plusieurs sites avec Z, dont certains en responsive. L'évolution avec SpipR va dans le bon sens et me semble une bonne piste à suivre pour Spip. Les sites responsifs ne sont pas à la portée du premier venu, ceux que j'ai réalisés étaient souvent fragiles. Ici, on a affaire à quelque chose de très robuste, ce qui fait qu'on peut davantage se concentrer sur des aspects plus intéressants de la réalisation. L'industrialisation en soi n'est pas forcément utile à tout le monde, mais les facilités de mise en oeuvre que cela induit seront utiles à tous.</p> <p>Bonne continuation<br class="autobr" /> Béat</p> SPIPr 2015-11-06T11:36:19Z https://contrib.spip.net/SPIPr-4642#comment484433 2015-11-06T11:36:19Z <p>Bonjour,</p> <p>en effet BootStrap 2.x n'est plus maintenue, mais cette version du framework à l'avantage d'assurer le support des anciens IE7 et IE8, ce qui n'est plus le cas de BootStrap 3.x et on aime bien assurer des transitions douces à nos utilisateurs dans le monde de SPIP et ne pas pousser à une course au modernisme effréné.</p> <p>Cela dit maintenant ça commence à devenir une contrainte moins forte, et une version basée sur BS3 est en cours de préparation. Pour tout dire c'est quasi fonctionnel, mais je n'ai pas tout a fait décidé du chemin de migration de BS2 vers BS3 : est-ce que je package les 2 versions de BootStrap dans un même plugin SPIP, tout en assurant que les sites existants ne soient pas modifiés lors de l'upgrade et continuent à utiliser BS2, ou est-ce que je fais un nouveau plugin SPIP pour BS3 et on pourra activer l'un ou l'autre avec SPIPr ?<br class="autobr" /> J'étais parti sur la première option pour avoir quelque chose de plus transparent possible pour les utilisateurs, mais j'ai vu que BS4 n'utilisera plus LESS mais SASS, il faudra donc un plugin SPIP séparé pour BS4, et du coup je pense que je vais basculer vers la seconde option.</p> <p>Bref, ça arrive, mais on prend le temps de bien réfléchir sur les choix de packaging et de release pour que tout ça reste simple et sur pour les utilisateurs et maintenable dans le temps.</p> <p>(en l'état non, il n'est pas possible d'utiliser un thème BS3 avec SPIPr)</p> SPIPr 2015-11-06T11:24:54Z https://contrib.spip.net/SPIPr-4642#comment484431 2015-11-06T11:24:54Z <p>Je suis parti à la découverte de SpipR pour le personnaliser. Il y a du boulot si on est un peu exigeant! Je comprends peu à peu les leviers à actionner. Cependant, quand je vais me documenter sur les sites «officiels» de Bootstrap je constate que la version implémentée dans Spip (2.3.2) est obsolète et n'est plus maintenue. Il y a des tas de trucs intéressants à faire et à trouver pour la version 3 (et on annonce déjà une 4e mouture!). D'où quelques questions:</p> <p>- Y a-t-il une compatibilité ascendante de SpipR pour les versions plus récentes de Bootstrap? <br />- Si non, est-ce que SpipR va être adapté dans un avenir proche? <br />- Existe-t-il des thèmes Bootstrap spécifiquement développés pour SpipR et qui peuvent servir de point de départ pour être modifiés? (Donc pas des thèmes en plugin, mais en dossier pour squelettes/themes/mon-theme...) <br />- Le cas échéant, comment utiliser un thème Bootstrap 3 dans SpipR?</p> <p>Merci d'avance<br class="autobr" /> Béat</p> SPIPr 2015-11-03T19:45:09Z https://contrib.spip.net/SPIPr-4642#comment484371 2015-11-03T19:45:09Z <p>Je pense que ma question est par trop béotienne pour espérer une réponse... ;-)</p> SPIPr 2015-11-03T15:00:28Z https://contrib.spip.net/SPIPr-4642#comment484365 2015-11-03T15:00:28Z <p>Ah!</p> <p>J'ai bien sûr redémarré Apache à chaque nouveau réglage. Mais, effectivement, ce n'était pas le bon fichier! Maintenant, avec le bon fichier ça marche. Grand merci et désolé pour cette excursion dans les arcanes de MAMP.</p> <p>Message à l'intention des billes, qui comme moi, doivent modifier les réglages de php avec MAMP: <br />- Le panneau phpInfo de MAMP indique un chemin pour accéder au fichier php.ini (par exemple: /Applications/MAMP/bin/php/php5.2.17/conf). Contrairement à ce qui parait logique, il ne faut PAS aller modifier ce fichier, c'est sans effet. <br />- Depuis MAMP, il faut aller dans le menu Fichier > Modifier les configurations > PHP > puis choisir la version qu'on utilise. S'ouvre alors un fichier php.ini qu'on peut modifier et qu'on peut sauvegarder. <br />- Ne pas oublier de redémarrer Apache.</p> <p>Bonne journée!</p> SPIPr 2015-11-03T13:44:59Z https://contrib.spip.net/SPIPr-4642#comment484360 2015-11-03T13:44:59Z <p>Il faut redémarrer Apache pour que cela prenne en compte (ou alors tu n'as pas modifié le bon fichier php.ini) car là c'est toujours la valeur de 32Mo de memory_limit qui est prise en compte</p> SPIPr 2015-11-03T13:40:11Z https://contrib.spip.net/SPIPr-4642#comment484359 2015-11-03T13:40:11Z <p>Merci de vos réponses.</p> <p>J'avais déjà augmenté ces valeurs dans php.init sans résultats. Cette fois je les ai augmentées drastiquement pour en avoir le coeur net: max_execution_time = 1000 (au lieu de 30) et memory_limit = 1000M (au lieu de 30M). Résultat: Spip me signale toujours les mêmes erreurs.</p> <p>Dans php_error.log j'ai des messages du type:</p> <p>- [03-Nov-2015 12:14:20] PHP Fatal error: Allowed memory size of 33554432 bytes exhausted (tried to allocate 1120 bytes) in /Volumes/.…….../plugins/less-css/less.php/Less.php on line 1581</p> <p>- [03-Nov-2015 12:15:25] PHP Fatal error: Allowed memory size of 33554432 bytes exhausted (tried to allocate 72 bytes) in /Volumes/.…….../plugins/less-css/less.php/Less.php on line 705<br class="autobr" /> (les points sont de moi)</p> <p>Je me suis rendu aux lignes indiquées de ce script et je n'ai rien vu que je puisse faire. D'ailleurs je ne suis pas du tout qualifié pour cela!</p> SPIPr 2015-11-03T08:49:44Z https://contrib.spip.net/SPIPr-4642#comment484345 2015-11-03T08:49:44Z <p>Je pense que ton hébergement est trop lent et ne supporte pas la compilation des feuilles LESS par SPIP : cela provoque un timeout et/ou un dépassement de mémoire qui explique la page blanche.<br class="autobr" /> Si tu es en local tu peux regarder les logs d'erreur pour voir la présence et la cause d'une erreur fatale PHP, et augmenter la valeur de max_execution_time et/ou memory_limit.</p> SPIPr 2015-11-03T08:26:56Z https://contrib.spip.net/SPIPr-4642#comment484344 2015-11-03T08:26:56Z <p>Salut, pour ton deuxième message, l'erreur devrait disparaître si tu vides le cache du site. Pour le premier message, désolé je ne sais pas.</p> SPIPr 2015-11-02T23:25:02Z https://contrib.spip.net/SPIPr-4642#comment484342 2015-11-02T23:25:02Z <p>Euh… y' a quelqu'un?</p> <p>Quand j'active puis désactive les plugins «foireux» j'obtiens les 2 erreurs suivantes:</p> <p>- LESS : Echec compilation fichier plugins/bootstrap/bootstrap/css/reset.less<br class="autobr" /> .tab-focus is undefined in reset.less</p> <p>- LESS : Echec compilation fichier plugins/bootstrap/bootstrap2spip/css/grid.less<br class="autobr" /> variable @gridColumnWidth is undefined in file plugins/bootstrap/bootstrap/css/grid.less</p> <p>C'est quoi?</p> SPIPr 2015-10-28T22:42:03Z https://contrib.spip.net/SPIPr-4642#comment484270 2015-10-28T22:42:03Z <p>Bonjour,</p> <p>Bien désireux de voir fonctionner moi aussi ce fameux framework «Prêt à l'emploi» j'ai installé sur mon MAMP un Spip 3.0.20 tout neuf et qui fonctionne très bien. Après l'installation et l'activation de l'ensemble des plugins Spipr plus rien ne s'affiche dans les pages publiques, même pas un message d'erreur.</p> <p>Si je désactive tout ce package de plugins, mais que je conserve BootStrap, LessCSS, Z-Core, j'ai à nouveau des pages dans le site public. Mais dès que j'active le plugin d'un des squelettes Spipr il n'y a plus rien.</p> <p>Voilà, cela fait des heures que je tourne en rond en cherchant dans la doc ce que je pourrais bien encore faire pour avoir le début de quelque chose… Vous avez une idée, vous? Merci d'avance.</p> <p>Béat</p> SPIPr 2015-10-25T16:57:46Z https://contrib.spip.net/SPIPr-4642#comment484211 2015-10-25T16:57:46Z <p>Bonjour et merci pour ce squelette,</p> <p>J'ai installé SPIPr et j'utilise le squelette SPIPr-dist.<br class="autobr" /> Je souhaiterais utiliser la page “bootstrap_carroussel.html” contenue dans le dossier démo du plugin Bootstrap comme page d'accueil (sommaire) de mon site.<br class="autobr" /> Quelle procédure convient-il de suivre pour la mettre en place ?<br class="autobr" /> En vous remerciant pour l'aide que vous pourrez m'apporter,</p> <p>Polémil</p> SPIPr 2015-08-04T12:05:01Z https://contrib.spip.net/SPIPr-4642#comment483222 2015-08-04T12:05:01Z <p>Salut,</p> <p>Il ya une question que je me suis déjà posé plusieurs fois concernant la mise en place de sites avec zcore et spipr.<br class="autobr" /> Je serais parfois tenté de vouloir utiliser un squelette spipr- sur une partie du site, et un autre pour un secteur spécifique. <br class="autobr" /> Je sais que composition est prévu pour créer des variantes de squelettes, mais j'ai l'impression que mon besoin serait plus basiquement de dire à partir d'une page de configuration: “applique spipr-doc sur ce site, et si on affiche le secteur 4, alors c'est spipr-blog qu'il faut utiliser”. <br class="autobr" /> Et pour finir, j'aimerais pouvoir surcharger ce cocktail depuis /squelettes.</p> <p>Avant de me jeter à corps perdu dans l'élaboration d'un nouveau plugin, je m'interroge sur la pertinence d'une telle formalisation : est-ce que ça a bien du sens, et est-ce que ça pourrait aider d'autres usagers ??</p> <p>Belle journée,</p> SPIPr 2015-06-22T17:41:28Z https://contrib.spip.net/SPIPr-4642#comment482685 2015-06-22T17:41:28Z <p>Merci Cerdic pour ces informations éclairées. Je m'étais principalement basé sur le layout du squelette Spipr-doc sans rentrer dans ces détails.<br class="autobr" /> Par contre, j'ai peur de ramer pour adapter SarkaSpip (qu'Eric, je pense, développe encore) ou Spipr-dist avec Rosa afin d'obtenir le layout souhaité.<br class="autobr" /> Je n'ai jamais réalisé jusqu'à présent des modifications de cette importance et j'ai peur de me perdre.</p> SPIPr 2015-06-22T12:29:42Z https://contrib.spip.net/SPIPr-4642#comment482681 2015-06-22T12:29:42Z <p>Il vaut mieux essayer de partir du thème Rosa par exemple, sur un squelette Spipr-dist ou SarkaSpip (voire spipr-blog ?). Le squelette spipr-doc répond à des besoins très spécifiques, il n'y a pas de page article, tout est regroupé dans la page d'une rubrique, il n'est pas prévu l'inclusion de medias etc. et ça ne me semble pas un bon point de départ pour un site autre que de la documentation.</p> SPIPr 2015-06-21T22:20:45Z https://contrib.spip.net/SPIPr-4642#comment482677 2015-06-21T22:20:45Z <p>Bonjour Cerdic,</p> <p>Merci pour ta réponse. <br class="autobr" /> Oui bien sûr j'ai testé SarkaSpip v4 dont j'apprecie beaucoup la simplicité pour la configuration et la haute qualité mais le layout ne correspond pas à ce que nous souhaitons. D'une manière générale, la présentation du site spipr.nursit.com est plus proche de nos attentes : un menu simple, une première page de sommaire sans colonnes extra ou menu, une présentation proche de plusieurs sites qui m'ont été cités en exemples...<br class="autobr" /> Je me trompe peut-être mais je pense que j'aurai moins de travail à partir de spipr-doc que de SarkaSpip. Qu'en penses-tu? Je suis toujours à l'écoute de l'avis d'un expert. <br class="autobr" /> Jacques</p> SPIPr 2015-06-21T12:15:34Z https://contrib.spip.net/SPIPr-4642#comment482670 2015-06-21T12:15:34Z <p>Bonjour,</p> <p>si vous êtiez utilisateur de SarkaSpip avez vous regardé SarakaSpip v4 qui fait partie de la famille Spipr et est totalement responsive ? La migration depuis les anciennes versions de SakaSpip est prise en charge, et cela serait peut-être plus simple pour vous ?</p> SPIPr 2015-06-20T20:48:11Z https://contrib.spip.net/SPIPr-4642#comment482661 2015-06-20T20:48:11Z <p>Bonjour,</p> <p>Un grand merci pour ce squelette.<br class="autobr" /> Je suis un utilisateur de Spip depuis de nombreuses années (avec Sarka Spip) mais souhaitant créer un site responsive utilisant bootstrap je me tourne maintenant vers Spipr et me trouve confronté au besoin de modifier des squelettes existants pour obtenir le résulat escompté.<br class="autobr" /> J'ai choisi d'utiliser pour base le squelette spipr-doc qui correspond assez bien à mes souhaits. Par contre je ne trouve pas comment réduire la taille du bandeau que je trouve assez imposant.<br class="autobr" /> Je recherche également le moyen de placer dans le pied de page des articles courts placés côte à côte (ex. adresse de l'association, heures d'ouverture, mentions légales).</p> <p>J'aurai certainement encore à faire d'autres customisations ;-)</p> <p>Merci d'avance pour l'aide et le travail de la communauté.<br class="autobr" /> Jacques</p> SPIPr 2015-06-15T13:19:27Z https://contrib.spip.net/SPIPr-4642#comment482561 2015-06-15T13:19:27Z <p>Avez-vous regardé du côté du plugin compositions ? Il devrait probablement pouvoir répondre à votre besoin....</p> SPIPr 2015-06-14T19:19:04Z https://contrib.spip.net/SPIPr-4642#comment482555 2015-06-14T19:19:04Z <p>bonjour et merci pour ce plugin,<br class="autobr" /> en lisant la documentation sur les themes <a href="http://spipr.nursit.com/themes" class="spip_url spip_out auto" rel="nofollow external">http://spipr.nursit.com/themes</a>, j'ai pu concevoir un layout pour le site de la commune.<br class="autobr" /> Cependant j'aurais besoin d'une présentation spécifique pour tout un secteur, je ne vois pas comment définir un layout spécifique à une rubrique, ou bien par exemple pour la page sommaire, <br class="autobr" /> En effet j'aurais besoin d'avoir pour une rubrique (ou même la page sommaire) d'un layout en 2 colonnes au lieu de 3 sur le reste du site, peut être pourriez-vous m'indiquer une piste?</p> <p>Merci</p> SPIPr 2015-05-29T20:35:31Z https://contrib.spip.net/SPIPr-4642#comment482230 2015-05-29T20:35:31Z <p>Bien vu Maïeul !<br class="autobr" /> Merci !</p> SPIPr 2015-05-29T09:41:03Z https://contrib.spip.net/SPIPr-4642#comment482221 2015-05-29T09:41:03Z <p>est-ce que ce ne serait pas par hasard le “descriptif du site” dans “identité du site” ?</p> SPIPr 2015-05-29T09:40:02Z https://contrib.spip.net/SPIPr-4642#comment482220 2015-05-29T09:40:02Z <p>Bonjour,<br class="autobr" /> merci de votre travail.<br class="autobr" /> j'ai installé SPIPr-doc.<br class="autobr" /> Dans la page d'accueil en front , il est écrit “A personnaliser”.<br class="autobr" /> Rien dans l'espace privé pour éditer ce contenu.<br class="autobr" /> En inspectant la page, je comprends qu'il s'agit de la page sommaire.html.<br class="autobr" /> Est à dire qu'il faut modifier cette page dans un éditeur html pour en modifier le texte ?</p> SPIPr 2015-05-25T15:14:10Z https://contrib.spip.net/SPIPr-4642#comment482145 2015-05-25T15:14:10Z <p>Je me réponds à moi-même : le problème vient du squelette sarkaspip. C'est lui qui colore l'emplacement des colonnes, indépendamment du layout et utilisant une image de fond (bg-cols.png). J'ai résolu mon problème en recopiant le theme.less de sarkaspip dans mon thème et en ne copiant pas cette image dans mon dossier /img<br class="autobr" /> C'est pas propre du tout mais je ne comprends pas comment cela fonctionne ^^</p> SPIPr 2015-05-22T19:37:51Z https://contrib.spip.net/SPIPr-4642#comment482119 2015-05-22T19:37:51Z <p>Bonjour et bravo, c'est du très beau travail.<br class="autobr" /> Question maintenant ^^ : je souhaite adapter un thème (United) en inversant le content et les aside/extra.<br class="autobr" /> J'ai recopié le fichier layout.less du thème marguerite dans mon répertoire et remplacé les appels au layoutgala 33 par des appels au 34 qui correspond au comportement que je souhaite. Les colonnes passent bien à gauche mais les fonds grisés des colonnes aside et extra restent à droite et conservent le comportement du layoutgala 33. <br class="autobr" /> Pouvez-vous m'aider à modifier ce comportement ? Quels fichiers sont à éditer ?<br class="autobr" /> Merci d'avance :)</p> SPIPr 2015-05-19T13:41:41Z https://contrib.spip.net/SPIPr-4642#comment482039 2015-05-19T13:41:41Z <p>Hi Cédric</p> <p>Juste un petit message de remerciement pour SPIPr.</p> <p>Hier soir à l'apéro SPIP de Toulouse, on se disait que SPIPr était devenu une base pour de nombreux sites responsive. Perso, je le vois même comme le futur de SPIP.</p> <p>On se disait aussi qu'il était dommage que ton plugin n'avait pas de forum dédié sur lequel les utilisateurs pourraient d'entraider.<br class="autobr" /> Mais ça, c'était avant. Je vois que tu as créée la rubrique SPIPr sur contrib depuis Mars 2015.<br class="autobr" /> Donc c'est parfait.<br class="autobr" /> Encore MERCI.</p> SPIPr 2015-05-10T20:23:13Z https://contrib.spip.net/SPIPr-4642#comment481903 2015-05-10T20:23:13Z <p>Bonjour,</p> <p>je réalise un site bilingue à partir de spipr avec un secteur par langue.<br class="autobr" /> Je n'arrive pas afficher la traduction de ma page d'accueil. Est-ce que spipr gère bien le multilingue ?</p> <p>Comment nommer mes pages de traduction dans le squelette ? body.en.html, sommaire.en.html ?</p> <p>Merci pour votre aide.</p> SPIPr 2015-04-15T21:06:45Z https://contrib.spip.net/SPIPr-4642#comment481364 2015-04-15T21:06:45Z <p>je ne suis pas l'auteur de ces outils ...</p> SPIPr 2015-04-15T21:03:11Z https://contrib.spip.net/SPIPr-4642#comment481363 2015-04-15T21:03:11Z <p>Bonsoir,<br class="autobr" /> Oui, résolu, après mise à jour des plugins mentionnés.<br class="autobr" /> Avec mes remerciements pour vos réponses et surtout pour le travail que représente ces précieux outils !<br class="autobr" /> KM.</p> SPIPr 2015-04-15T09:28:27Z https://contrib.spip.net/SPIPr-4642#comment481346 2015-04-15T09:28:27Z <p>donc le problème est résolu ?</p> SPIPr 2015-04-15T09:25:58Z https://contrib.spip.net/SPIPr-4642#comment481345 2015-04-15T09:25:58Z <p>Bonjour,</p> <p>La version de php est maintenant 5.5.</p> <p>Je crois avoir compris votre conseil et le fonctionnement des plugins. Activation d'abord dans les plugins inactifs d'un squelette (blog ou doc), activation d'un thème (exemple : marguerite).<br class="autobr" /> A nécessité également la mise à jour des plugins “z-core”, “comments” et “spipr-dist”.</p> <p>Merci pour votre intervention, que je ne comprenais pas trop bien sans plus de détail.<br class="autobr" /> KMk.</p> SPIPr 2015-04-09T08:02:47Z https://contrib.spip.net/SPIPr-4642#comment481202 2015-04-09T08:02:47Z <p>il ne faut activer qu'un squelette en même tps... en tout cas je ne reproduis pas le bug si je n'active qu'un squelette (ce qui est du reste le plus logique)</p> SPIPr 2015-04-09T06:20:41Z https://contrib.spip.net/SPIPr-4642#comment481188 2015-04-09T06:20:41Z <p>Bonjour, Maïeul,<br class="autobr" /> Désolé pour le silence... les messages du forum sont mis dans les spams de ma boîte aux lettres électronique et je me suis quelque peu “absentée”...<br class="autobr" /> Je rencontre le problème mentionné (<a href="http://contrib.spip.net/SPIPr-4642#forum480512" class="spip_out" rel='nofollow external'>http://contrib.spip.net/SPIPr-4642#forum480512</a>) avec tous le squelettes. Mon hébergeur me signale que ma version de php est 5.3</p> <p>À suivre...<br class="autobr" /> KMk.</p> SPIPr 2015-04-03T12:11:31Z https://contrib.spip.net/SPIPr-4642#comment480934 2015-04-03T12:11:31Z <p>Mon site public se charge sans problème ! <br class="autobr" /> Merci tcharlss!</p> SPIPr 2015-04-03T08:37:27Z https://contrib.spip.net/SPIPr-4642#comment480932 2015-04-03T08:37:27Z <p>je ne reproduis pas ce bug en utilisant le squelette dist ...</p> <p>normalement s'il n'y a pas de sommaire, le mécanisme Z est censé reprendre le dist.</p> SPIPr 2015-04-03T08:11:59Z https://contrib.spip.net/SPIPr-4642#comment480930 2015-04-03T08:11:59Z <p>bonjour</p> <p>idem<br class="autobr" /> dans les squel dist et blog il n'y a pas de sommaire.html dans le dossier breadcrump</p> SPIPr 2015-04-03T07:50:49Z https://contrib.spip.net/SPIPr-4642#comment480929 2015-04-03T07:50:49Z <p>Bonjour,</p> <p>il y a une bonne explication dans le dernier paragraphe de la <a href="http://contrib.spip.net/Champs-Extras-3" class="spip_out" rel='nofollow external'>documentation des champs extras</a>, que je paraphrase :</p> <blockquote class="spip"> <p>Si vous rencontrez cette erreur : Fatal error : Maximum function nesting level of '100' reached c'est que xdebug est actif. Il faut augmenter sa profondeur d'exécution. Par exemple en mettant dans votre config/mes_options.php l'instruction suivante (pensez à ouvrir <code><?php</code> sur la première ligne et caractère du fichier si ce n'est pas fait, et pas la peine de le fermer)</p> </blockquote><div class="precode"><pre dir="ltr" style="text-align: left;" class="php"><code><span class="kw2"><?php</span> <a href="http://www.php.net/ini_set" rel='nofollow'><span class="kw3">ini_set</span></a><span class="br0">&#40;</span><span class="st_h">'xdebug.max_nesting_level'</span><span class="sy0">,</span> <span class="nu0">200</span><span class="br0">&#41;</span><span class="sy0">;</span></code></pre></div> SPIPr 2015-04-02T20:58:32Z https://contrib.spip.net/SPIPr-4642#comment480923 2015-04-02T20:58:32Z <p>Bonsoir ! <br class="autobr" /> je viens tout juste d'installer à neuf SPIP 3 sur EasyPHP, ça marche nickel, pas de soucis, cependant quand j'installe SPIPr et qu'ensuite j'essaye d'accéder à mon site public j'obtiens le message suivant :</p> <p>« Fatal error: Maximum function nesting level of '100' reached, aborting! in C:\Program Files (x86)\EasyPHP-DevServer-14.1VC11\data\localweb\projects\spip\plugins\auto\spipr\less-css\less.php\Less.php on line 5408»</p> <p>Qu'a cela ne tienne, je me dis, et je me rend à la ligne 5408 du fichier Less.php où je ne trouve que ceci :</p> <p> $count = count($this->value);</p> <p>Je ne comprend ce que je dois modifier... <br class="autobr" /> Alors, je suis un parfait néophyte en la matière, donc j'ai peut être fait quelque chose de travers, du coup j'ai réinstallé à nouveaux. Même problème...</p> <p>Du coup si une âme charitable saurait comment résoudre ce problème, je lui en serait vachement reconnaissant !</p> <p>Merci d'avance !</p> <p>Cordialement,</p> <p>Robin</p> SPIPr 2015-03-29T13:44:47Z https://contrib.spip.net/SPIPr-4642#comment480806 2015-03-29T13:44:47Z <p>le pb est résolu merci</p> SPIPr 2015-03-29T12:33:45Z https://contrib.spip.net/SPIPr-4642#comment480803 2015-03-29T12:33:45Z <p>cela ne résoud pas le pb j'imagine?</p> SPIPr 2015-03-29T12:21:46Z https://contrib.spip.net/SPIPr-4642#comment480802 2015-03-29T12:21:46Z <p>ah oui parfait , j aurais pu y penser merci encore, super ce spipr</p> SPIPr 2015-03-29T11:33:59Z https://contrib.spip.net/SPIPr-4642#comment480801 2015-03-29T11:33:59Z <p>je ne pense pas que cela ait a voir avec le pb mais prendre blog + dist + doc c'est inutile ;-) il faut choisir un modèle parmis les trois. P</p> SPIPr 2015-03-29T11:31:35Z https://contrib.spip.net/SPIPr-4642#comment480800 2015-03-29T11:31:35Z <p>j 'ai fait l'install co indiqué: Plugin actif</p> <p>SPIPr-blog 0.4.9 - test<br class="autobr" /> Squelettes de Blog Z+BootStrap+HTML5<br class="autobr" /> Plugin actif</p> <p>SPIPr-dist 0.4.9 - test<br class="autobr" /> Squelettes Dist Z+BootStrap+HTML5<br class="autobr" /> Plugin actif</p> <p>SPIPr-doc 0.5.8 - test<br class="autobr" /> Squelettes de Doc Z+BootStrap+HTML5</p> SPIPr 2015-03-29T11:31:28Z https://contrib.spip.net/SPIPr-4642#comment480799 2015-03-29T11:31:28Z <p>quelle version de PHP aussi?</p> SPIPr 2015-03-29T11:30:59Z https://contrib.spip.net/SPIPr-4642#comment480798 2015-03-29T11:30:59Z <p>quelle version de PHP aussi?</p> SPIPr 2015-03-29T11:26:56Z https://contrib.spip.net/SPIPr-4642#comment480796 2015-03-29T11:26:56Z <p>avec quel squelette? je ne reproduit pas ni avec le modèle “dist” ni avec le modèle “blog”.</p> SPIPr 2015-03-29T11:26:32Z https://contrib.spip.net/SPIPr-4642#comment480795 2015-03-29T11:26:32Z <p>avec quelle squelette? je ne reproduit pas ni avec le modèle “dist” ni avec le modèle “blog”.</p> SPIPr 2015-03-29T09:20:46Z https://contrib.spip.net/SPIPr-4642#comment480789 2015-03-29T09:20:46Z <p>1 Erreur(s) dans le squelette<br class="autobr" /> Numéro Message squelette boucle Ligne<br class="autobr" /> 1 Aucun squelette breadcrumb/sommaire n'est disponible... plugins/auto/themes/marguerite/body.html / <br class="autobr" /> comment puis je résoudre ce pb merci</p> <p><a href="http://www.chaudanne.info/?var_mode=recalcul" class="spip_url spip_out auto" rel="nofollow external">http://www.chaudanne.info/?var_mode=recalcul</a></p> SPIPr 2015-03-25T12:48:35Z https://contrib.spip.net/SPIPr-4642#comment480620 2015-03-25T12:48:35Z <p>Bonjour,</p> <blockquote class="spip"> <p>Franchement c'est la misère le less à coté du css pour trouver le bon fichier :-(<br class="autobr" /> Firebug n'est plus du tout mon copain sur ce coup...</p> </blockquote> <p>Apparement le plugin less à été mis a jour avec une autre lib php qui supporte les sourcemaps <a href="https://github.com/oyejorge/less.php" class="spip_out" rel='nofollow external'>oyejorge/less.php</a>.</p> <p><strong>A vérifier que l'options soit activé dans le code ^^, je n'en ai pas l'impression</strong></p> <p>A voir avec le mainteneur du plugin LESS pour ajouter les options:</p> <div class="precode"><pre dir="ltr" style="text-align: left;"><code>$options = array( 'sourceMap' => true ); $parser = new Less_Parser($options);</code></pre></div> <p>Ensuite dans votre navigateur activer les sourcemaps : dans Firefox un clic droit sur le nom du fichier css et afficher les sources devrait fonctionner (si besoin recharger la page)</p> <p><a href="https://hacks.mozilla.org/2014/02/live-editing-sass-and-less-in-the-firefox-developer-tools/" class="spip_out" rel='nofollow external'>Activer les SourceMaps sous Firefox</a></p> <p>Pour les couleurs ou autres elles sont définissables dans un fichier variables.less, que vous pouvez dupliquer et surcharger dans votre dossier squelette.</p> <p>Vous pouvez aussi utiliser sur leur site, un formulaire pour générer ce fichier variables, dans la partie Downloads</p> <p>D'autres outils comme <a href="http://pikock.github.io/bootstrap-magic/" class="spip_out" rel='nofollow external'>Bootstrap-magic</a>, peuvent vous aider a styliser votre thème visuellement avec une interface clicodrome comme on les aimes ;-).</p> <p>Après je n'utilise pas la version less de bootstrap, ni spipr ou sarka donc je ne pourrais vous guider plus.</p> <p>De mon avis perso, juste pour dire et démarrer avec les preprocesseur css :</p> <p>Les principaux problèmes avec les librairies php pour les preprocesseurs css sont :</p> <p>*- qu'elles ne sont jamais a jour, et constamment à la bourre au niveau fonctionnalités, par rapport a l'original.<br class="autobr" /> *- plutôt lentes et gourmandes en ressources</p> <p> LESS css est au départ développé en javascript, tandis que SASS/SCSS est en Ruby et maintenant en C avec libsass, donc le portage en php reste quand même une ré-écriture quasi-complète, il est normal que ça n'arrive pas a suivre derrière ...</p> <p>J'ai testé la version SCSS.php avec Bootstrap 3 en version SCSS, ça reste faisable et utilisable,pour générer le thème : mais je trouve ça pénible, lent pour un usage au quotidien d'intégration quand on recalcule souvent.</p> <p>Donc, je conseillerais plutôt d'utiliser des vrais outils autres que les librairies php pour compiler du SASS ou LESS, on peut trouver nombre d'applications qui font ceci très bien comme Koala, Scout, ... ou se tourner vers Node.js Gulp.js, Grunt et utiliser libSass pour les plus Geek ;-)</p> <p>Certes ça déconcerte les habitués des “css à la papa”, entassées dans un fichier.<br class="autobr" /> Oui ça fait un ou plusieurs langages de plus a apprendre (on en est plus a ça près ^^), mais au final le gain est énorme, autant en portabilité des composants, que pour les évolutions et la maintenance.</p> <p>Happy Styling comme dirait Compass ;-)</p> SPIPr 2015-03-24T21:09:32Z https://contrib.spip.net/SPIPr-4642#comment480567 2015-03-24T21:09:32Z <p>hello cedric :-)<br class="autobr" /> Juste pour te dire qu'il semble y avoir un problème concernant la dernière version de bootstrap<br class="autobr" /> php 5.6.6<br class="autobr" /> prefix des table: spipdev5<br class="autobr" /> installation en MySQL<br class="autobr" /> spip 3.0.17</p> <p>Si via SVP tu télécharges SPIPr, cela te télécharges la version 1.5.16 de bootstrap<br class="autobr" /> Jusqu'ici, il n'y a pas de problème !<br class="autobr" /> Par contre, SVP t'indique également qu'une version plus récente de bootstrap est dispo, et là, si tu fais la mise à jour (2.1.0), le site public ne fonctionne plus correctement du tout :-D<br class="autobr" /> Le problème ne semble pas évident, car j'ai fait un essai en spip 3.1 et là, cela fonctionne très bien avec les dernières versions des plug<br class="autobr" /> Franck</p> SPIPr 2015-03-23T16:48:00Z https://contrib.spip.net/SPIPr-4642#comment480518 2015-03-23T16:48:00Z <p>Hello cerdic_ concernant sarkaspip, tu ne pourrais pas ajouter les couleurs dans la config ?<br class="autobr" /> Franchement c'est la misère le less à coté du css pour trouver le bon fichier :-(<br class="autobr" /> Firebug n'est plus du tout mon copain sur ce coup...<br class="autobr" /> Actuellement la couleur dominante est la: #53538b<br class="autobr" /> Je voulais mettre une autre couleurs et franchement, je me décourage...<br class="autobr" /> Après, je sais pas si mettre les couleurs est toujours possible sans faire de casse sur les sites déjà en ligne, mais sinon, en forme de plugin ?<br class="autobr" /> Peut-être que si tu en fait “une”, j'arriverais peut-être à en faire d'autres, mais là...<br class="autobr" /> Franck</p> SPIPr 2015-03-23T13:57:18Z https://contrib.spip.net/SPIPr-4642#comment480512 2015-03-23T13:57:18Z <p>Bonjour,<br class="autobr" /> Je teste spipr et voici le message d'erreur qui apparaît sur la page d'accueil :</p> <div class="precode"><pre dir="ltr" style="text-align: left;"><code>Aucun squelette breadcrumb/sommaire n'est disponible...</code></pre></div> <p>... squelette désigné :</p> <div class="precode"><pre dir="ltr" style="text-align: left;"><code>plugins/themes/readable/body.html</code></pre></div> <p>Effectivement, pas de fichier sommaire.html. Quant au fichier body.html, la syntaxe est trop éloignée des boucles de spip que je manipule...</p> <p>Avez-vous une explication sur cette erreur ?</p> <p>D'avance, merci !<br class="autobr" /> KMk</p> SPIPr 2015-03-23T13:44:26Z https://contrib.spip.net/SPIPr-4642#comment480511 2015-03-23T13:44:26Z <p>oui, je sais, mais comme BS et Spipr ont l'air vachement bien, et que Z devient obsolète apparement, on se dit qu'on veut toujours mieux...</p> <p>merci</p> SPIPr 2015-03-23T13:12:52Z https://contrib.spip.net/SPIPr-4642#comment480508 2015-03-23T13:12:52Z <p>Il est pas du tout obligatoire d'utiliser SPIPr pour utiliser SPIP. Tu peux très bien faire tes squelettes en te basant sur squelettes-dist/ ou continuer à utiliser la première version de Zpip+thème.</p>